Fix a buffer overflow in sudo.

Apply by doing:
	cd /usr/src;
	patch -p0 < 039_sudo.patch

And rebuild sudo by doing:
	cd usr.bin/sudo
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

Index: usr.bin/sudo/logging.c
===================================================================
RCS file: /cvs/src/usr.bin/sudo/logging.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- usr.bin/sudo/logging.c	2000/03/27 03:44:38	1.2
+++ usr.bin/sudo/logging.c	2001/02/19 15:13:42	1.3
@@ -112,7 +112,8 @@
     /*
      * Log the full line, breaking into multiple syslog(3) calls if necessary
      */
-    for (p = msg, count = 0; count < strlen(msg) / MAXSYSLOGLEN + 1; count++) {
+    for (p = msg, count = 0; *p && count < strlen(msg) / MAXSYSLOGLEN + 1;
+	count++) {
 	if (strlen(p) > MAXSYSLOGLEN) {
 	    /*
 	     * Break up the line into what will fit on one syslog(3) line
@@ -135,7 +136,7 @@
 	    *tmp = save;			/* restore saved character */
 
 	    /* Eliminate leading whitespace */
-	    for (p = tmp; *p != ' '; p++)
+	    for (p = tmp; *p != ' ' && *p !='\0'; p++)
 		;
 	} else {
 	    if (count == 0)
